import { LiveAnnouncer } from "@angular/cdk/a11y";
import { QueryList } from "@angular/core";
import { MenuItemBaseComponent } from "../menu";
import { OverlayComponent } from "../overlay/overlay-component/overlay.component";
import * as i0 from "@angular/core";
export declare class SorterKeyboardService {
    private liveAnnouncer;
    overlay: OverlayComponent;
    menuItems: QueryList<MenuItemBaseComponent>;
    private keyboardEventsManager;
    constructor(liveAnnouncer: LiveAnnouncer);
    initKeyboardManager(): void;
    handleKeydown(event: KeyboardEvent): void;
    getActiveItemIndex(): number | null;
    announceDropdown(): void;
    private handleOpenKeyDown;
    private handleClosedKeyDown;
    private hasActiveItem;
    private shouldPreventDefault;
    private announceCurrentItem;
    static ɵfac: i0.ɵɵFactoryDeclaration<SorterKeyboardService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SorterKeyboardService>;
}
